Skip to main content
Use the domains API to retrieve information about the domains connected to a HubSpot account. You can return data for a list of domains or specify a domain by ID. Learn more about setting up domains for your site.

Retrieve domains

To retrieve all domains, make a GET request to /cms/v3/domains. You can filter and sort the returned domains using query parameters. For example, the following request would retrieve the first 10 domains created after January 1, 2024:
The following query parameters are available:
ParameterTypeDescription
afterStringCursor token to get the next set of results. Available from paging.next.after in paginated responses.
archivedBooleanFilter by whether the domain is archived.
createdAfterStringFilter for domains created after a given date (ISO 8601 format).
createdAtStringFilter for domains created at a given date (ISO 8601 format).
createdBeforeStringFilter for domains created before a given date (ISO 8601 format).
limitIntegerMaximum number of domains to return.
sortArrayList of fields to sort by.
updatedAfterStringFilter for domains updated after a given date (ISO 8601 format).
updatedAtStringFilter for domains updated at a given date (ISO 8601 format).
updatedBeforeStringFilter for domains updated before a given date (ISO 8601 format).
A 200 response will return a JSON object with details for each connected domain.

Retrieve a single domain

To retrieve details for a specific domain, make a GET request to /cms/v3/domains/{domainId}. For example, the request below would retrieve the details for the domain with ID 3210329704:
A 200 response will return a JSON object with details for the specified domain.
Last modified on April 13, 2026